### Virtual Method

# Nautilus FileInfo get_string_attribute

#### Declaration [src]

    char*
    get_string_attribute (
      NautilusFileInfo* file_info,
      const char* attribute_name
    )

#### Description [src]

Get the attribute’s value.

#### Parameters

`attribute_name`

  Type: `const char*`

  The name of an attribute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

The value for the given `attribute_name`, or `NULL` if there is none.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.